### Method

# Soup AuthDomain remove_path

#### Declaration [src]

    void
    soup_auth_domain_remove_path (
      SoupAuthDomain* domain,
      const char* path
    )

#### Description [src]

Removes `path` from `domain`.

Requests under `path` on `domain`‘s server will NOT require authentication.

This is not simply an undo-er for `soup_auth_domain_add_path()`; it can be used to “carve out” a subtree that does not require authentication inside a hierarchy that does. Note also that unlike with `soup_auth_domain_add_path()`, this cannot be overridden by adding a filter, as filters can only bypass authentication that would otherwise be required, not require it where it would otherwise be unnecessary.

#### Parameters

`path`

  Type: `const char*`

  The path to remove from `domain`.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.